Bug 855706 - fix failing el6 build
Summary: fix failing el6 build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pyramid
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 855696 855730 856402 856412 856415 856416 864308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-10 05:09 UTC by Tomas Dabašinskas
Modified: 2016-09-20 02:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-17 19:48:53 UTC


Attachments (Terms of Use)

Description Tomas Dabašinskas 2012-09-10 05:09:24 UTC
Hi, python-pyramid build for el6 fails due to unresolved python-zope-* dependencies. I have managed to build python-pyramid on my machine after manually resolving the dependency problems. I have logged a couple of tickets (see depends), all in all I think there are 5 packages that are required. I'll update the ticket as I find more info.

Comment 1 Tomas Dabašinskas 2012-09-10 05:57:01 UTC
Hi, I have agreed to maintain python-zope packages that python-pyramid depends on, I can maintain el6 branch of this package too. Please set me as an owner of el6 branch and I'll get this fixed.

Comment 2 Tomas Dabašinskas 2012-09-12 01:12:21 UTC
built python-pyramid on dev box after manual dep resolution, dep list:

rpm -qpR noarch/python-pyramid-1.2.7-3.el6.noarch.rpm 
/usr/bin/python  
python(abi) = 2.6
python-chameleon >= 1.2.3
python-mako >= 0.3.6
python-paste > 1.7
python-paste-deploy  
python-paste-script  
python-repoze-lru  
python-setuptools  
python-translationstring  
python-venusian  
python-webob >= 1.0.2
python-zope-component  
python-zope-configuration  
python-zope-deprecation  
python-zope-interface >= 3.5.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 3 Tomas Dabašinskas 2012-09-12 06:44:03 UTC
pkg_resources.VersionConflict: (venusian 0.6 (/usr/lib/python2.6/site-packages), Requirement.parse('venusian>=1.0a1')), adding request to update python-venusian el6

Comment 4 Fedora Update System 2012-09-21 02:23:09 UTC
python-pyramid-1.2.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyramid-1.2.7-3.el6

Comment 5 Fedora Update System 2012-09-21 20:58:56 UTC
python-pyramid-1.2.7-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 6 Fedora Update System 2012-09-26 06:31:11 UTC
python-pyramid-1.2.7-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyramid-1.2.7-4.el6

Comment 7 Fedora Update System 2012-10-03 00:57:34 UTC
python-pyramid-1.2.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyramid-1.2.7-5.el6

Comment 8 Tomas Dabašinskas 2012-10-10 00:51:52 UTC
pyramid==1.2.7 requires:
Chameleon>=1.2.3
Mako>=0.3.6
Paste>1.7
PasteDeploy
PasteScript>=1.7.4
WebOb>=1.0.2
repoze.lru
zope.component>=3.6.0
zope.interface>=3.5.1
zope.deprecation
venusian>=1.0a1
translationstring
ordereddict
unittest2
MarkupSafe>=0.9.2
zope.event

Comment 9 Fedora Update System 2012-10-10 01:12:31 UTC
python-pyramid-1.2.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyramid-1.2.7-6.el6

Comment 10 Tomas Dabašinskas 2012-10-10 02:38:55 UTC
Because WebOb and Mako rpm's are setup to use:
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

python package is not registered on the system, use following for the pyramid apps (or any apps that require mako or webob)

from pkg_resources import require
require('Mako')
require('WebOb')

Comment 11 Fedora Update System 2012-11-17 19:48:55 UTC
python-pyramid-1.2.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.